YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000687YaCy[All Projects] Generalpublic2016-09-22 20:542017-07-14 23:44
ReporterPythagoras 
Assigned Toadministrator 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
ETAnone 
Platformopenjdk version "1.8.0_102"OSFedoraOS Version24
Product Version 
Target VersionFixed in Version 
Summary0000687: Import of SSL certificate erases keyStorePassword parameter
DescriptionHi,

I've noticed that after importing of a pkcs12 certificate YaCy erases pkcs12ImportFile and keyStorePassword parameters. I can understand that the former is erased to avoid reimporting the certificate again, however erasing of the latter prevents yacy to read the keystore.

Perhaps it was meant to erase pkcs12ImportFile and pkcs12ImportPwd parameters, not pkcs12ImportFile and keyStorePassword.
Steps To Reproduce1. Set keyStore parameter with a location of a not-yet-existent file
2. Set keyStorePassword parameter with a new password
3. Set pkcs12ImportFile and pkcs12ImportPwd parameters to match certificate to import
4. Restart Yacy. Now you've got HTTPS on port 8443.
5. Restart Yacy again. Now you don't.
Additional InformationYaCy version 1.91/9188.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001467)
luc (reporter)
2017-07-12 16:06

Fixed by Pull Request 122 from Scarfmonster (https://github.com/yacy/yacy_search_server/pull/122 [^])

- Issue History
Date Modified Username Field Change
2016-09-22 20:54 Pythagoras New Issue
2017-07-12 16:06 luc Note Added: 0001467
2017-07-14 23:44 BuBu Status new => resolved
2017-07-14 23:44 BuBu Resolution open => fixed
2017-07-14 23:44 BuBu Assigned To => administrator


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker